RCCE(3)

NAME
RCCE_bcast - RCCE broadcast function

SYNOPSIS
#include <rcce.h>

int RCCE_bcast(char * buf,size_t number,int root,RCCE_comm comm);

DESCRIPTION
RCCE_bcast() copies number bytes at address buf on the UE with rank root to address buf on all other UEs in communicator comm.

buf Starting address of input array (private memory).

number
    Number of bytes to be sent.

root
    Rank of the UE that is the source of the message.

comm
    Communicator whose UEs receive the message.

RETURN VALUE
Upon successful completion RCCE_bcast() returns RCCE_SUCCESS.

ERRORS
Look in rcce.h for additional error codes.

SEE ALSO
rcce.h(5)

EXAMPLE

To be supplied.